import execa from 'execa'
import { exists, removeDir } from './fs-helpers'
import path from 'path'
import chalk from 'chalk'

const cloneRepo = async (options) => {

  if (exists(path.resolve('financial-widgets'))) {
    chalk.red.bold('Removing existing file')
    await removeDir(path.resolve('financial-widgets'))
  }
  const result = await execa('git', ['clone', 'git@github.com:modyo/financial-widgets.git'], {
    cwd: options.targetDirectory
  })
  if (!result || result.failed) {
    return Promise.reject(new Error('Failed to initialize git'))
  }
}
export { cloneRepo }
export default cloneRepo
